import { defineComponent as i, toRefs as _, openBlock as a, createElementBlock as f, createElementVNode as e, createVNode as o, unref as n, pushScopeId as d, popScopeId as u } from "vue";
import m from "./images/biao.mjs";
import c from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const g = (t) => (d("data-v-9cfa017a"), t = t(), u(), t), h = { class: "title02" }, v = /* @__PURE__ */ g(() => /* @__PURE__ */ e("img", { src: m }, null, -1)), x = { class: "titleText" }, C = { class: "value" }, y = { class: "unitText" }, E = i({ name: "ETitle02" }), B = /* @__PURE__ */ i({
  ...E,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(t) {
    const s = t, { titleConfig: r, unitConfig: l, valueConfig: p } = _(
      s.chartConfig.option
    );
    return (I, S) => (a(), f("div", h, [
      v,
      e("div", x, [
        o(c, {
          config: n(r),
          type: "text"
        }, null, 8, ["config"])
      ]),
      e("div", C, [
        o(c, {
          config: n(p),
          type: "number"
        }, null, 8, ["config"])
      ]),
      e("div", y, [
        o(c, {
          config: n(l),
          type: "text"
        }, null, 8, ["config"])
      ])
    ]));
  }
});
export {
  B as default
};
